package id.iptek.utms.agent.model.enumeration;

/**
 *
 * @author jakar
 */
public enum DownloadTimeType {
 
    NEXT_CONTACT(1),
    DATE_TIME(2);
    
    private final int value;

    private DownloadTimeType(int value) {
        this.value = value;
    }
    
    public int getValue() {
        return value;
    }
    
    public static DownloadTimeType fromValue(int value) {
        DownloadTimeType val = null;
        for(DownloadTimeType _val : DownloadTimeType.values()) {
            if(_val.getValue() == value) {
                val = _val;
                break;
            }
        }
        return val;
    }
}
